var trainType = 0; //上次使用最后打开的是习题一还是习题二
var learnNum = 0; //已经学习的句子和答过的习题数目
var pageObj = {}; //记录pageID项目下设置的对象
var swiperMain,trainingTwo; //swiper对象
var isSwipering; //是否正在切换中 【习题二】
var proMask = {}; //每一题进度统计状态标记 【习题二】

$(function(){
	init(); //调用全局初始化函数
	function init(){
		FastClick.attach(document.body);

		//定义框架尺寸
		$(window).on('resize',fixPageHeight);
		fixPageHeight();

		//初始化滑动组件
		swiperMain = new Swiper('.swiper-main',{
			noSwiping : true,
			onSlideChangeStart: function(swiper){
				$('#nav span').removeClass('active');
				$('#navbtn'+swiper.activeIndex).addClass('active');
				trainType = swiper.activeIndex;
				pageObj.trainType = trainType;
				setStorage({"key":paperID, "value":pageObj});
			}
		});
		trainingTwo = new Swiper('#trainingTwo',{
			noSwiping : false,
			mousewheelControl : true,
			direction: 'horizontal',
		    onSlideChangeStart: function(swiper){
		    	isSwipering = 1;
		    	trainingTwo.detachEvents();  //滑动锁定与延时解锁
		    	if(trainingTwo.activeIndex == 2){
		    		$('#currentKt').html(currKtIndex+2);
		    	}
		    	else if(trainingTwo.activeIndex == 0) {
		    		$('#currentKt').html(currKtIndex);
		    	}
		    	else {
		    		if(currKtIndex){
		    			$('#currentKt').html(currKtIndex);
		    		}
		    		else {
		    			$('#currentKt').html(currKtIndex+2);
		    		}
		    	}
		    },
		    onSlideChangeEnd: function(swiper){
		    	isSwipering = 0;
		    	setTimeout(function(){
		    		trainingTwo.attachEvents();  //滑动锁定与延时解锁
		    	},100);
			    if(trainingTwo.isEnd){
			      	swiperToEnd();
			    }
			    else if(trainingTwo.isBeginning){
			    	swiperToBeginning();
			    }
			    else {
			    	//滑动至中间一页
			    	if(currKtIndex == 0){
			    		currKtIndex++;
						var jsonD = {'paperID': paperID, "currKtIndex": currKtIndex};
						saveCurrKtIndex(jsonD);
			    	}
			    	else if(currKtIndex == (ktList.length-1)){
			    		currKtIndex--;
						var jsonD = {'paperID': paperID, "currKtIndex": currKtIndex};
						saveCurrKtIndex(jsonD);
			    	}
			    	else {
			    		// alert('滑动至中间页异常！');
			    	}
			    }
		    },
		    onSliderMove: function(swiper, event){
		    	$('#ktSerial').addClass('show');
		    },
		    onTouchEnd: function(swiper){
		        setTimeout(function(){
		        	$('#ktSerial').removeClass('show');
		        }, 300);
		    }
		});
		
		settingInit(); // 页面设置初始化

		//为每条句子绑定click事件
		$('.innerContent').on('click','.wordExercise',function(){
			$.commFun.showSentence(this);
		});

		//绑定nav点击事件
		$('#nav span').on('click',function(){
			swiperMain.slideTo($(this).attr('index'),300);
		});

		//根据currKtIndex 确定页面载入时滑动到哪一页暂停
		var maxKtIndex = ktList.length - 1;
		if((currKtIndex > 0) && (currKtIndex < maxKtIndex)){
			trainingTwo.slideTo(1, 0, false);
		}
		else if(currKtIndex == maxKtIndex){
			trainingTwo.slideTo(2, 0, false);
		}

		//绑定选项点击事件
		$('#trainingTwo .swiper-wrapper').on('click','.mylabel',labelClickAction);

	}

	//页面设置初始化
	function settingInit(){
		getStorage({"key":paperID, "successCallback":"onPageID"});
		//读取localStorage数据以初始化paperAnswer
		var jsonD = {};
		jsonD.key = paperID + "_*";
		jsonD.successCallback = "getAllAnswer";
		getStorage(jsonD);
	}
	//框架尺寸调整方法
	function fixPageHeight(){
		var height = $(window).height() - $('#nav').height();
		$(".swiper-main").css('height', height);
		var newHeight = height - $('.descriptionOne').height();
		$("#trainingTwo").css('height', newHeight);
		$(".innerContent").css('height', newHeight);
	}

	
	//滑动到下一题方法
	function swiperToEnd(){
		//更新并保存 currKtIndex
		currKtIndex++;
		//追加页面
		var serNum = currKtIndex+1; //习题序号
		var htmlText = '', ktID = ktList[serNum];
		if(ktID){
			var data = ktData[serNum][0];
			if(data){
				htmlText = $.commFun.assembleHtml(data,ktID,serNum);
			}
			trainingTwo.appendSlide(htmlText);
			setTimeout(function(){
				trainingTwo.removeSlide(0);
			},100);
		}        
        //向客户端保存currKtIndex
        var jsonD = {'paperID': paperID, "currKtIndex": currKtIndex};
		saveCurrKtIndex(jsonD);
	}
	//滑动到上一题方法
	function swiperToBeginning(){
		//更新并保存 currKtIndex
		currKtIndex--;		
		//追加页面
		var serNum = currKtIndex-1; //习题序号
		var htmlText = '', ktID = ktList[serNum];
		if(ktID){
			var data = ktData[serNum][0];
			var reRequertData = 0;
			if(data){
				htmlText = $.commFun.assembleHtml(data,ktID,serNum);
			}
			trainingTwo.removeSlide(2);
			setTimeout(function(){
				trainingTwo.prependSlide(htmlText);
			}, 100);
		}
        //向客户端保存currKtIndex
        var jsonD = {'paperID': paperID, "currKtIndex": currKtIndex};
		saveCurrKtIndex(jsonD);
	}
	
	//习题二选项点击事件
	function labelClickAction(){
		if(!isSwipering){
			var ktID = ktList[currKtIndex];
			var key = paperID +'_'+ ktID;
			var answer = ktData[currKtIndex][0].answer;
			if($(this).attr('class') == 'mylabel'){
				$(this).parent().find('.mylabel').removeClass('right wrong');
				paperAnswer[key] = $(this).attr('key');
				if(paperAnswer[key] == answer){
					$(this).addClass('right');
					$(this).parent().next().removeClass('show');
				}
				else {
					$(this).addClass('wrong');
					$(this).parent().next().addClass('show');
				}
			}
			else {
				$(this).removeClass('right wrong');
				paperAnswer[key] = '';
				$(this).parent().next().removeClass('show');
			}
			
			//保存答案到localStorage中
			setStorage({"key":key, "value":paperAnswer[key]});
			//更新学习进度
			if(paperAnswer[key] && !proMask[key]){
				learnNum++;
				proMask[key] = 1;
				$('#progress').css({'-webkit-transform': 'scaleX('+learnNum/ktNum+')'});
				if(learnNum==ktNum){
					$('#progress').addClass('full');
				}
				//反馈当前习题解答状况给客户端
				refreshStudyStatus({"uwid":ktID, "state":"1"});
			}
			else if(!paperAnswer[key]){
				if(learnNum==ktNum){
					$('#progress').removeClass('full');
				}
				learnNum--;
				proMask[key] = 0;
				$('#progress').css({'-webkit-transform': 'scaleX('+learnNum/ktNum+')'});
				//反馈当前习题解答状况给客户端
				refreshStudyStatus({"uwid":ktID, "state":"0"});
			}
		}
	}
});

